#!/bin/sh
while true; do
  ffmpeg -rtsp_transport tcp -stimeout 5000000 -i "rtsp://admin:user_123@192.168.31.64:554" -vcodec libx264 -acodec aac -f flv rtmp://192.168.31.250/live/hls
  echo "Stream disconnected, reconnecting..."
  sleep 1
done
